org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

## Class FallbackMethodOutOfPackageBeanA

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.subpackage.FallbackMethodOutOfPackageBeanB
  - - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodOutOfPackageBeanA

    @ApplicationScoped
    public class FallbackMethodOutOfPackageBeanA
    extends FallbackMethodOutOfPackageBeanB

### Constructor Summary

Constructors
Constructor and Description
`FallbackMethodOutOfPackageBeanA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `method(int a, Long b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FallbackMethodOutOfPackageBeanA

    public FallbackMethodOutOfPackageBeanA()

### Method Detail

#### method

    @Fallback(fallbackMethod="fallback")
    public String method(int a,
                                                              Long b)